<?php
$sub_menu = "200800";
include_once("./_common.php");

auth_check($auth[$sub_menu], "r");

$g4[title] = "OS별 접속자현황";
include_once("./admin.head.php");
include_once("./visit.sub.php");

$colspan = 5;
?>
<div class='row'>
    <div class='col-sm-12'>
        <table class='table table-condensed'>
            <thead>
                <tr>
                    <th style="width: 40px">순위</th>
                    <th style="width: 60px">OS</th>
                    <th style="width: 80px">방문자수</th>
                    <th style="width: 70px">비율(%)</th>
                    <th>그래프</th>
                </tr>
            </thead>
            <?php
            $max = 0;
            $sum_count = 0;
            $sql = " select * from $g4[visit_table]
          where vi_date between '$fr_date' and '$to_date' ";
            $result = sql_query($sql);
            while ($row = sql_fetch_array($result)) {
                $s = get_os($row[vi_agent]);

                $arr[$s] ++;

                if ($arr[$s] > $max)
                    $max = $arr[$s];

                $sum_count++;
            }

            $i = 0;
            $k = 0;
            $save_count = -1;
            $tot_count = 0;
            if (count($arr)) {
                arsort($arr);
                foreach ($arr as $key => $value) {
                    $count = $arr[$key];
                    if ($save_count != $count) {
                        $i++;
                        $no = $i;
                        $save_count = $count;
                    } else {
                        $no = "";
                    }

                    if (!$key) {
                        $key = "직접";
                    }

                    $rate = ($count / $sum_count * 100);
                    $s_rate = number_format($rate, 1);

                    $bar = (int) ($count / $max * 100);
                    $graph = "<img src='{$g4['g4m_admin_path']}/img/graph.gif' width='$bar%' height='18'>";

                    $list = ($k++ % 2);
                    echo "
                        <tr>
                            <td>$no</td>
                            <td>$key</td>
                            <td>$count</td>
                            <td>$s_rate</td>
                            <td align=left>$graph</td>
                        </tr>";
                }

                echo "
                    <tr>
                        <td colspan=2>합계</td>
                        <td>$sum_count</td>
                        <td colspan=2>&nbsp;</td>
                    </tr>";
            } else {
                echo "<tr><td colspan='{$colspan}' height=100 align=center>자료가 없습니다.</td></tr>";
            }
            ?>
        </table>
        <?php
        $page = get_paging($config['cf_m_write_pages'], $page, $total_page, "$_SERVER[PHP_SELF]?$qstr&domain=$domain&page=");
        if ($page) {
            ?>
            <div class='col-sm-12'>
                <?php echo $page ?>
            </div>
        <?php } ?>
    </div>
</div>
